// #autoload
// #name	= ZSensorHUD
// #credits 	= Oddball; this is a rip of part of his GUI.

if(!isObject(ZSensorHUD)){new ScriptObject(ZSensorHUD){class = ZSensorHUD;};}

function ZSensorHUD::setup(%this)
{
	new HudPulsingBitmap(ZSensorHUDGUI)
	{
		profile = "GuiDefaultProfile";
		horizSizing = "left";
		vertSizing = "bottom";
		position = "476 500";
		extent = "8 8";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		fillColor = "0.250000 0.250000 0.250000 0.250000";
		frameColor = "0.000000 1.000000 0.000000 1.000000";
		opacity = "0.9";
		bitmap = "hud_new_sensor.png";
		autoCenter = "0";
		autoResize = "0";
		flipVertical = "0";
		flipHorizontal = "0";
		pulseRate = "1000";
		jam = "0";
		ping = "0";
	};

	playGui.add(ZSensorHUDGUI);
	if(isObject(HM) && isObject(HudMover)) hudmover::addhud(ZSensorHUDGUI,"zSensorHUD");
}

package ZSensorHUDoverloads
{
	function SensorHud::update(%this)
	{
		if (%this.ping)
		{
			ZSensorHUDGUI.color = "255 22 22";
			ZSensorHUDGUI.pulse = true;
		}
		else if (%this.jam)
		{
			ZSensorHUDGUI.color = "253 255 2";
			ZSensorHUDGUI.pulse = true;
		}
		else
		{
			ZSensorHUDGUI.color = "3 255 110";
			ZSensorHUDGUI.pulse = false;
		}

		parent::update(%this);
	}

	function clientCmdResetHud()
	{
		parent::clientCmdResetHud();

		ZSensorHUDGUI.jam = false;
		ZSensorHUDGUI.ping = false;
	}
};
activatePackage(ZSensorHUDoverloads);

ZSensorHUD.setup();